/* File......: exuse.prg
*  Author....: cautere@innet.be
*  Date......: $Date... $
*  Revision..: $Revision$
*  Log file..: $Logfile$
*/

/* $DOC$
*  $FUNCNAME$
*    EXUSE()
*  $CATEGORY$
*    Database
*  $ONELINER$
*    Test if files are in use by other users on a network.
*  $SYNTAX$
*    EXUSE(cPath, cFile)  -> lNotUsed
*  $ARGUMENTS$
*    cPath  = filepath
*    cFile  = filespecs (e.g. "*.DBF")
*
*  $RETURNS$
*    lNotUsed     : .T. => Not in use
*                 : .F. => One or more files in use
*  $DESCRIPTION$
*    Opens all files exclusive en returns .T. if OK
*
*  $EXAMPLES$
*    if exuse("..\DBF\","*.DBF")
*      // reindex here
*    endif
*
*  $SEEALSO$
*    feraseall()
*
*  $INCLUDE$
*
*  $END$
*/


#ifdef TEST
funct testuse
  ? exuse("","*.dbf")
return nil
#endif

#include "common.ch"
FUNCTION EXUSE(cPath, cFiles)

local aDir
local i
DEFAULT cPath  TO ""
DEFAULT cFiles TO ""

aDir := directory(cPath+cFiles)

for i := 1 to len(aDir)
  if !fclose(fopen(cPath+aDir[i,1], 16))
    return .f.
  endif
next
return .t.
